Show / Hide Table of Contents

# Struct CharacterManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Character

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct CharacterManager

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("8B D0 48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 8B D8 48 85 C0 74 3A", 0, false)]
    public static CharacterManager*Instance()

##### Returns

Type | Description
--- | ---
CharacterManager* |

| Improve this Doc View Source

#### LookupBattleCharaByName(String, Boolean, Int16)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 8B F8 48 85 C0 74 3A 0F B7 4C 24")]
    public BattleChara*LookupBattleCharaByName(string name, bool onlyPlayers = false, short world = -1)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Boolean | onlyPlayers |
System.Int16 | world |

##### Returns

Type | Description
--- | ---
BattleChara* |

| Improve this Doc View Source

#### LookupBattleCharaByObjectId(Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 89 84 1D")]
    public BattleChara*LookupBattleCharaByObjectId(int objectId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | objectId |

##### Returns

Type | Description
--- | ---
BattleChara* |

| Improve this Doc View Source

#### LookupBuddyByOwnerObject(BattleChara*)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 49 8D 4D 20 48 89 44 24")]
    public BattleChara*LookupBuddyByOwnerObject(BattleChara*owner)

##### Parameters

Type | Name | Description
--- | --- | ---
BattleChara* | owner |

##### Returns

Type | Description
--- | ---
BattleChara* |

| Improve this Doc View Source

#### LookupPetByOwnerObject(BattleChara*)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 3B F0 74 3A")]
    public BattleChara*LookupPetByOwnerObject(BattleChara*owner)

##### Parameters

Type | Name | Description
--- | --- | ---
BattleChara* | owner |

##### Returns

Type | Description
--- | ---
BattleChara* |